
QGIS Application - Bug report #15717

Change project CSR from layer CSR doesn't change CSR everywhere

2016-10-17 05:53 AM - amedeo fadini

Status: Closed

Priority: Low

Assignee: Nyall Dawson

Category: Unknown

Affected QGIS version:master_2 Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23640

Description

I've noticed that when using context menu "Set project CRS from layer" the CRS code showed in the right bottom corner of program

window change and so the coordinate display, but when I open some dialog with CRS list (example new layer or save as..) the entry

"project CRS" is not updated and show the old one. Opening the project properties > CRS (that is already up-to date) and confirming with

OK refresh also the other CRS lists.

QGIS 2.17 code revision f124107

Compiled against GDAL/OGR 1.10.1

Associated revisions

Revision ecee4381 - 2016-10-18 01:55 AM - Nyall Dawson

Fix changing project CRS from legend doesn't correctly set CRS

Also avoid fragile duplicated code for setting/retrieving

common project properties

Fixes #15717

History

#1 - 2016-10-17 04:21 PM - Nyall Dawson

- Assignee set to Nyall Dawson

#2 - 2016-10-17 04:56 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"ecee43814a3ee13470683e376191cb3719ec0e44".

#3 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
